#include <iostream>
#include <bits/stdc++.h>

using namespace std;

int r, c;
vector <string> init;
vector <string> finl;
vector <vector <int> > visited;

int main() {
    cin >> r >> c;
    init.resize(r);
    finl.resize(r);
    visited.resize(r);
    for(int i = 0; i < r; i++) {
        cin >> init[i];
        visited[i].resize(c);
    }

    for(int i = 0; i < r; i++) {
        cin >> finl[i];
    }

    bool overlap = false;
    int startx = 0;
    int starty = 0;
    for(int i = 0; i < r; i++) {
        for(int j = 0; j < c; j++) {
            if(init[i][j] == '*' && finl[i][j] == '*') {
                overlap = true;
                startx = i;
                starty = j;
                break;
            }
        }
    }

    if(overlap) {
        // Find neighbors of overlapping for init
        vector <pair <int, int> > from;
        queue <pair <int, int> > q;
        q.push(make_pair(startx, starty));
        while(!q.empty()){
            pair <int, int> p = q.front();
            q.pop();
            int x = p.first;
            int y = p.second;
            visited[x][y]=  true;
            if(finl[x][y] != '*') from.push_back(p);

        }
    }
    return 0;
}